Subject: Re: bug#32720: term-mode ignores certain window size changes

From: Gary Fredericks <[email-masked]>
Date: Tue, 1 Jan 2019 11:31:35 -0600

I'm sorry, I forgot that code was there -- I had already disabled in when I
ran these tests, so you can disregard it.

C-x b for me starts an ido buffer selector. I forgot that wasn't a default
either.

So the buffer selector did not work -- it would show me a list of other
buffers (in the minibuffer), but I couldn't select one with RET -- it would
end up just creating a new buffer whose (very long) name was the list of
buffer names that ido showed.

Gary Fredericks
(803)-295-0195
[email-masked]
gfredericks.com

On Tue, Jan 1, 2019 at 11:25 AM martin rudalics <[email-masked]> wrote:

>  > I started running the patched version and immediately ran into trouble
> with
>  > switching away from term-mode buffers, but I suspect it's related to
> some
>  > custom code I have:
>  >
>  >
> https://github.com/gfredericks/dotfiles/blob/6a6497dd747e92b034549f3aee05d4dc6f0640d5/base/.emacs.d/user/gfredericks-terminals.el.symlink#L63
>
> The only things related to my patch should be
>
> (defun window-size-change-function-for-bug-32720 (_frame)
>    (window--adjust-process-windows))
>
> and its activation in 'term-load-hook'.  Would removing these change
> something in the behavior you observe?
>
>  > In particular C-x b doesn't work like it used to; it ends up doing
>  > something weird where it creates a buffer named after the minibuffer
> buffer
>  > selection text.
>
> Shouldn't C-x b create such a buffer if it does not exist yet?  What
> precisely did you want it to do?
>
> martin
>